# July 17th

**Changelog released on 2025-07-17**

Welcome to the changelog. This update resolves the endless send notification digest loop and enables the API to return references to global list value.

## New Feature

1. **Return references to global-list-values in API:** GlobalList endpoints has been extended with an optional parameter, globalListValueReferencesOnly.\
   Example usage with the NuGet client: \
   `var result = await apiClient.GlobalLists.GetGlobalListValueAsync<Guid>(valueReference.Uid, globalListValueReferencesOnly: true);`\
   (SP-1586)

## Bug

1. **Endless send notification digest loop:** A bug causing an endless send notification digest loop has been resolved. (SP-1589)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/changelog/july-2025/july-17th.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
